%{?nodejs_find_provides_and_requires}
%global srcname another-json
%global enable_tests 0
# tests disabled until dev dependencies are available

Name:	        nodejs-%{srcname}
Version:	    0.2.0
Release:	    1%{?dist}
Summary:	    JavaScript JSON encoder that outputs compact, canonical JSON

Group:		    Development/Tools
License:	    Apache-2.0
URL:		    https://github.com/NegativeMjark/another-json
Source0:        https://registry.npmjs.org/another-json/-/another-json-%{version}.tgz

BuildArch:      noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(jasmine-node)
%endif

%description
JavaScript JSON encoder that outputs compact, canonical JSON

%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json another-json.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/jasmine-node
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Tue Mar 28 2017 Sayan Chowdhury <sayanchowdhury@fedoraproject.org> - 0.2.0-1
- Initial packaging
